diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-ue-measurements.h ns-3.38/src/lte/test/lte-test-ue-measurements.h
--- ns-3.37/src/lte/test/lte-test-ue-measurements.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-ue-measurements.h	2023-03-16 20:54:23.784869000 -0700
@@ -45,7 +45,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test that UE Measurements (see 36.214) calculation works fine in a
  * multi-cell interference scenario.
@@ -58,7 +57,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test that UE measurements calculation works properly in a scenario
  * with 2 eNodeBs and 2UEs. Test that RSRP and RSRQ of the serving cell and of
@@ -128,7 +126,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsPiecewiseTestCase1.
@@ -141,15 +138,14 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Testing UE measurements in LTE with simulation of 1 eNodeB and 1 UE in
  *        piecewise configuration and 120 ms report interval. During the simulation
  *        the placement of UE is being changed several times. Four different
  *        cases are considered: UE is very near to eNodeB, UE is near to eNodeB,
  *        UE is far from eNodeB and UE is very far from eNodeB. Test checks
- *        if the measurments correspond to the real conditions of the UE, i.e.
- *        wnen the signal from serving cell becomes weak, the measurements should
+ *        if the measurements correspond to the real conditions of the UE, i.e.
+ *        when the signal from serving cell becomes weak, the measurements should
  *        also start to correspond to the new channel conditions. Additionally, it
  *        is checked if UE detects some neighboring signal, if it does the test
  *        fails because there is no neighbor in this configuration. Also, test
@@ -265,7 +261,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsPiecewiseTestCase2.
@@ -278,7 +273,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Testing UE measurements in LTE with simulation of 2 eNodeB and 1 UE in
  *        piecewise configuration and 240 ms report interval.
@@ -402,7 +396,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsPiecewiseTestCase3.
@@ -415,7 +408,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Testing UE measurements in LTE with simulation of 3 eNodeB and 1 UE in
  *        piecewise configuration and 240 ms report interval.
@@ -537,7 +529,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsHandoverTestCase.
@@ -550,7 +541,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Testing UE measurements in LTE with simulation of 2 eNodeB and 1 UE in
  *        a handover configuration.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-ue-phy.h ns-3.38/src/lte/test/lte-test-ue-phy.h
--- ns-3.37/src/lte/test/lte-test-ue-phy.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-ue-phy.h	2023-03-16 20:54:23.784869000 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Defines a simplified LtePhy class that is used for testing purposes
  * of downlink and uplink SINR generation. Used in LteDownlinkDataSinrTestCase
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-uplink-power-control.cc ns-3.38/src/lte/test/lte-test-uplink-power-control.cc
--- ns-3.37/src/lte/test/lte-test-uplink-power-control.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-uplink-power-control.cc	2023-03-16 20:54:23.784869000 -0700
@@ -68,6 +68,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteUplinkPowerControlTestSuite lteUplinkPowerControlTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-uplink-power-control.h ns-3.38/src/lte/test/lte-test-uplink-power-control.h
--- ns-3.37/src/lte/test/lte-test-uplink-power-control.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-uplink-power-control.h	2023-03-16 20:54:23.784869000 -0700
@@ -38,7 +38,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 1.1 Uplink Power Control
  */
@@ -50,7 +49,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Uplink Power Control Test Case
  */
@@ -138,7 +136,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Uplink Open Loop Power Control Test Case
  */
@@ -159,7 +156,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Uplink Closed Loop Power Control Absolute Mode Test Case
  */
@@ -180,7 +176,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Uplink Closed Loop Power Control Accumulated Mode Test Case
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-uplink-sinr.cc ns-3.38/src/lte/test/lte-test-uplink-sinr.cc
--- ns-3.37/src/lte/test/lte-test-uplink-sinr.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-uplink-sinr.cc	2023-03-16 20:54:23.784869000 -0700
@@ -122,6 +122,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteUplinkSinrTestSuite lteUplinkSinrTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-uplink-sinr.h ns-3.38/src/lte/test/lte-test-uplink-sinr.h
--- ns-3.37/src/lte/test/lte-test-uplink-sinr.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-uplink-sinr.h	2023-03-16 20:54:23.784869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 1.2 SINR calculation in uplink
  */
@@ -41,7 +40,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test generation of SINR in the uplink. Test schedules the signal and the interference
  * signals and it evaluates if the obtained value for SINR corresponds to the theoretical value
@@ -75,7 +73,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief  In this test one signal will be of interest, i.e., the
  *  SRS of the first signal will have the same CellId of the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/reference/lte_cqi_generation.m ns-3.38/src/lte/test/reference/lte_cqi_generation.m
--- ns-3.37/src/lte/test/reference/lte_cqi_generation.m	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/reference/lte_cqi_generation.m	2023-03-16 20:54:23.784869000 -0700
@@ -9,11 +9,11 @@
 
 nrbsControl = 25; % tx bandwidth configuration in number of RBs
 bwControl = nrbsControl * 180000; % bandwidth in Hz, note that this is smaller than
-		    % the nominal Channel Bandwdith, see TS 36.101 fig 5.6-1
+		    % the nominal Channel Bandwidth, see TS 36.101 fig 5.6-1
 
 nrbsData = 12; % tx bandwidth configuration in number of RBs
 bwData = nrbsData * 180000; % bandwidth in Hz, note that this is smaller than
-		    % the nominal Channel Bandwdith, see TS 36.101 fig 5.6-1
+		    % the nominal Channel Bandwidth, see TS 36.101 fig 5.6-1
 
 kT = -174; % noise PSD in dBm / Hz
 ndBmData = kT + 10*log10(bwData);  % noise power dBm
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/reference/lte_frequency_reuse.m ns-3.38/src/lte/test/reference/lte_frequency_reuse.m
--- ns-3.37/src/lte/test/reference/lte_frequency_reuse.m	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/reference/lte_frequency_reuse.m	2023-03-16 20:54:23.784869000 -0700
@@ -11,7 +11,7 @@
 %%DOWNLINK
 P_A = 0;   %% << change this value to simulate Downlink Power Allocation
 PdschPower = 10.^((dlpdBm+ P_A - 30)/10);
-printf("Expexted Pdsch Power: %f \n", PdschPower)
+printf("Expected Pdsch Power: %f \n", PdschPower)
 
 
 %%UPLINK
@@ -69,5 +69,5 @@
 endif
 
 PuschPower = 10.^((PuschPowerdB - 30 )/10);
-printf("Expexted Pusch Power: %f \n", PuschPower)
+printf("Expected Pusch Power: %f \n", PuschPower)
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/reference/lte_link_budget_interference_fr.m ns-3.38/src/lte/test/reference/lte_link_budget_interference_fr.m
--- ns-3.37/src/lte/test/reference/lte_link_budget_interference_fr.m	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/reference/lte_link_budget_interference_fr.m	2023-03-16 20:54:23.784869000 -0700
@@ -8,7 +8,7 @@
 ful = 1930e6;  % UL carrier freq Hz, EARFCN = 18100
 nrbs = 25; % tx bandwidth configuration in number of RBs
 bw = nrbs * 180000; % bandwidth in Hz, note that this is smaller than
-		    % the nominal Channel Bandwdith, see TS 36.101 fig 5.6-1
+		    % the nominal Channel Bandwidth, see TS 36.101 fig 5.6-1
 kT = -174; % noise PSD in dBm / Hz
 ndBm = kT + 10*log10(bw);  % noise power dBm
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/reference/lte_link_budget_interference.m ns-3.38/src/lte/test/reference/lte_link_budget_interference.m
--- ns-3.37/src/lte/test/reference/lte_link_budget_interference.m	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/reference/lte_link_budget_interference.m	2023-03-16 20:54:23.784869000 -0700
@@ -8,7 +8,7 @@
 ful = 1930e6;  % UL carrier freq Hz, EARFCN = 18100
 nrbs = 25; % tx bandwidth configuration in number of RBs
 bw = nrbs * 180000; % bandwidth in Hz, note that this is smaller than
-		    % the nominal Channel Bandwdith, see TS 36.101 fig 5.6-1
+		    % the nominal Channel Bandwidth, see TS 36.101 fig 5.6-1
 kT = -174; % noise PSD in dBm / Hz
 ndBm = kT + 10*log10(bw);  % noise power dBm
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/reference/lte_link_budget.m ns-3.38/src/lte/test/reference/lte_link_budget.m
--- ns-3.37/src/lte/test/reference/lte_link_budget.m	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/reference/lte_link_budget.m	2023-03-16 20:54:23.784869000 -0700
@@ -7,7 +7,7 @@
 f = 2160e6;  % carrier freq Hz, EARFCN = 500 (downlink)
 nrbs = 25; % tx bandwidth configuration in number of RBs
 bw = nrbs * 180000; % bandwidth in Hz, note that this is smaller than
-		    % the nominal Channel Bandwdith, see TS 36.101 fig 5.6-1
+		    % the nominal Channel Bandwidth, see TS 36.101 fig 5.6-1
 kT = -174; % noise PSD in dBm / Hz
 n = kT + 10*log10(bw);  % noise power dBm
 p = 30;  % tx power dBm
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/reference/lte_ue_measurements.m ns-3.38/src/lte/test/reference/lte_ue_measurements.m
--- ns-3.37/src/lte/test/reference/lte_ue_measurements.m	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/reference/lte_ue_measurements.m	2023-03-16 20:54:23.784869000 -0700
@@ -6,10 +6,10 @@
 
 fdl = 2120e6;  % DL carrier freq Hz, EARFCN = 100
 ful = 1930e6;  % UL carrier freq Hz, EARFCN = 18100
-nrbs = 25; % tx bandwdith configuration in number of RBs
+nrbs = 25; % tx bandwidth configuration in number of RBs
 nres = nrbs * 12;
 bw = 180000 / 12; % bandwidth per RE in Hz
-%%bwtot = xxx %%, note that this is smaller than the nominal Channel Bandwdith, see TS 36.101 fig 5.6-1
+%%bwtot = xxx %%, note that this is smaller than the nominal Channel Bandwidth, see TS 36.101 fig 5.6-1
 kT = -174; % noise PSD in dBm / Hz
 ndBm = kT + 10*log10(bw);  % noise power dBm for a RE
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-asn1-encoding.cc ns-3.38/src/lte/test/test-asn1-encoding.cc
--- ns-3.37/src/lte/test/test-asn1-encoding.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/test-asn1-encoding.cc	2023-03-16 20:54:23.784869000 -0700
@@ -28,13 +28,14 @@
 #include "ns3/string.h"
 #include "ns3/test.h"
 
+#include <iomanip>
+
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("Asn1EncodingTest");
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Contains ASN encoding test utility functions.
  */
@@ -50,13 +51,13 @@
     {
         uint32_t psize = pkt->GetSize();
         uint8_t buffer[psize];
-        char sbuffer[psize * 3];
+        std::ostringstream oss(std::ostringstream::out);
         pkt->CopyData(buffer, psize);
         for (uint32_t i = 0; i < psize; i++)
         {
-            sprintf(&sbuffer[i * 3], "%02x ", buffer[i]);
+            oss << std::setfill('0') << std::setw(2) << std::hex << +(buffer[i]) << " ";
         }
-        return std::string(sbuffer);
+        return std::string(oss.str() + "\n");
     }
 
     /**
@@ -106,7 +107,6 @@
 // --------------------------- CLASS RrcHeaderTestCase -----------------------------
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This class provides common functions to be inherited
  * by the children TestCases
@@ -324,7 +324,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Request Test Case
  */
@@ -377,7 +376,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Setup Test Case
  */
@@ -435,7 +433,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Setup Complete Test Case
  */
@@ -489,7 +486,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Reconfiguration Complete Test Case
  */
@@ -544,7 +540,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Reconfiguration Test Case
  */
@@ -783,7 +778,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Handover Preparation Info Test Case
  */
@@ -893,7 +887,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Reestablishment Request Test Case
  */
@@ -953,7 +946,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Reestablishment Test Case
  */
@@ -1010,7 +1002,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Reestablishment Complete Test Case
  */
@@ -1065,7 +1056,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rrc Connection Reject Test Case
  */
@@ -1119,7 +1109,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Measurement Report Test Case
  */
@@ -1257,7 +1246,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Asn1Encoding Test Suite
  */
@@ -1284,4 +1272,8 @@
     AddTestCase(new MeasurementReportTestCase(), TestCase::QUICK);
 }
 
-Asn1EncodingSuite asn1EncodingSuite;
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
+Asn1EncodingSuite g_asn1EncodingSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-epc-tft-classifier.cc ns-3.38/src/lte/test/test-epc-tft-classifier.cc
--- ns-3.37/src/lte/test/test-epc-tft-classifier.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-epc-tft-classifier.cc	2023-03-16 20:54:23.784869000 -0700
@@ -39,7 +39,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test case to check the functionality of the Tft Classifier. Test
  * consist of defining different TFT configurations, i.e. direction, ports,
@@ -206,7 +205,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Epc Tft Classifier Test Suite
  */
@@ -216,6 +214,10 @@
     EpcTftClassifierTestSuite();
 };
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static EpcTftClassifierTestSuite g_lteTftClassifierTestSuite;
 
 EpcTftClassifierTestSuite::EpcTftClassifierTestSuite()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-antenna.cc ns-3.38/src/lte/test/test-lte-antenna.cc
--- ns-3.37/src/lte/test/test-lte-antenna.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-antenna.cc	2023-03-16 20:54:23.784869000 -0700
@@ -41,7 +41,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Tests that the propagation model and the antenna parameters are
  * generate the correct values. Different test cases are created by specifying different
@@ -264,7 +263,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Enb Antenna Test Suite
  */
@@ -310,4 +308,8 @@
     AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 1, -0.1, -12.754), TestCase::QUICK);
 }
 
-static LteAntennaTestSuite lteAntennaTestSuite;
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
+static LteAntennaTestSuite g_lteAntennaTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-epc-e2e-data.cc ns-3.38/src/lte/test/test-lte-epc-e2e-data.cc
--- ns-3.37/src/lte/test/test-lte-epc-e2e-data.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-epc-e2e-data.cc	2023-03-16 20:54:23.784869000 -0700
@@ -44,7 +44,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  */
 
 /// BearerTestData structure
@@ -91,7 +90,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test that e2e packet flow is correct. Compares the data send and the
  * data received. Test uses mostly the PDCP stats to check the performance.
@@ -375,7 +373,7 @@
 }
 
 /**
- * \ingroup tests lte-test
+ * \ingroup lte-test
  *
  * \brief Test that the S1-U interface implementation works correctly
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-handover-delay.cc ns-3.38/src/lte/test/test-lte-handover-delay.cc
--- ns-3.37/src/lte/test/test-lte-handover-delay.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-handover-delay.cc	2023-03-16 20:54:23.784869000 -0700
@@ -44,7 +44,7 @@
 NS_LOG_COMPONENT_DEFINE("LteHandoverDelayTest");
 
 /**
- * \ingroup tests lte-test
+ * \ingroup lte-test
  *
  * \brief Verifying that the time needed for handover is under a
  * specified threshold.
@@ -286,7 +286,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Handover Delay Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-handover-failure.cc ns-3.38/src/lte/test/test-lte-handover-failure.cc
--- ns-3.37/src/lte/test/test-lte-handover-failure.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-handover-failure.cc	2023-03-16 20:54:23.784869000 -0700
@@ -46,7 +46,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Verifying that a handover failure occurs due to various causes
  *
@@ -124,7 +123,7 @@
 
     /**
      * \brief Called at the end of simulation and verifies that a handover
-     *        and a handover failure has occured in the simulation.
+     *        and a handover failure has occurred in the simulation.
      */
     void DoTeardown() override;
 
@@ -200,7 +199,7 @@
     Time m_handoverJoiningTimeout;  ///< handover joining timeout duration at target eNodeB
     Time m_handoverLeavingTimeout;  ///< handover leaving timeout duration at source eNodeB
     uint16_t m_targeteNodeBPosition;  ///< position of the target eNodeB
-    bool m_hasHandoverFailureOccured; ///< has handover failure occured in simulation
+    bool m_hasHandoverFailureOccured; ///< has handover failure occurred in simulation
 
 }; // end of class LteHandoverFailureTestCase
 
@@ -364,7 +363,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * The following log components can be used to debug this test's behavior:
  * LteHandoverFailureTest:LteEnbRrc:LteEnbMac:LteUeRrc:EpcX2
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-handover-target.cc ns-3.38/src/lte/test/test-lte-handover-target.cc
--- ns-3.37/src/lte/test/test-lte-handover-target.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-handover-target.cc	2023-03-16 20:54:23.784869000 -0700
@@ -49,7 +49,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Testing a handover algorithm, verifying that it selects the right
  *        target cell when more than one options available.
@@ -449,4 +448,8 @@
 
 } // end of LteHandoverTargetTestSuite ()
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteHandoverTargetTestSuite g_lteHandoverTargetTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-rlc-header.cc ns-3.38/src/lte/test/test-lte-rlc-header.cc
--- ns-3.37/src/lte/test/test-lte-rlc-header.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-rlc-header.cc	2023-03-16 20:54:23.784869000 -0700
@@ -35,7 +35,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test Utils
  */
@@ -106,7 +105,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Rlc Am Status Pdu Test Case
  */
@@ -187,7 +185,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Rlc Header Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-rrc.cc ns-3.38/src/lte/test/test-lte-rrc.cc
--- ns-3.37/src/lte/test/test-lte-rrc.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-rrc.cc	2023-03-16 20:54:23.784869000 -0700
@@ -31,7 +31,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test rrc connection establishment.
  */
@@ -584,7 +583,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Rrc Connection Establishment Error Test Case
  */
@@ -765,7 +763,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Rrc Test Suite
  */
@@ -895,4 +892,8 @@
         TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteRrcTestSuite g_lteRrcTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-x2-handover.cc ns-3.38/src/lte/test/test-lte-x2-handover.cc
--- ns-3.37/src/lte/test/test-lte-x2-handover.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-x2-handover.cc	2023-03-16 20:54:23.784869000 -0700
@@ -31,7 +31,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief HandoverEvent structure
  */
@@ -45,7 +44,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test X2 Handover. In this test is used NoOpHandoverAlgorithm and
  * the request for handover is generated manually, and it is not based on measurements.
@@ -123,7 +121,6 @@
 
     /**
      * \ingroup lte-test
-     * \ingroup tests
      *
      * \brief BearerData structure
      */
@@ -138,7 +135,6 @@
 
     /**
      * \ingroup lte-test
-     * \ingroup tests
      *
      * \brief UeData structure
      */
@@ -231,7 +227,7 @@
     uint32_t previousSeed = RngSeedManager::GetSeed();
     uint64_t previousRun = RngSeedManager::GetRun();
     Config::Reset();
-    // This test is sensitive to random variable stream assigments
+    // This test is sensitive to random variable stream assignments
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(3);
     Config::SetDefault("ns3::UdpClient::Interval", TimeValue(m_udpClientInterval));
@@ -657,7 +653,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief LTE X2 Handover Test Suite.
  *
@@ -770,8 +765,7 @@
     {
         for (int32_t useIdealRrc = 1; useIdealRrc >= 0; --useIdealRrc)
         {
-            //                                     nUes, nDBearers, helist, name, sched, admitHo,
-            //                                     idealRrc
+            // nUes, nDBearers, helist, name, sched, admitHo, idealRrc
             AddTestCase(
                 new LteX2HandoverTestCase(1, 0, hel0, hel0name, *schedIt, true, useIdealRrc),
                 TestCase::EXTENSIVE);
@@ -896,4 +890,8 @@
     }
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteX2HandoverTestSuite g_lteX2HandoverTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/test-lte-x2-handover-measures.cc ns-3.38/src/lte/test/test-lte-x2-handover-measures.cc
--- ns-3.37/src/lte/test/test-lte-x2-handover-measures.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/lte/test/test-lte-x2-handover-measures.cc	2023-03-16 20:54:23.784869000 -0700
@@ -32,7 +32,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief CheckPointEvent structure
  */
@@ -65,7 +64,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test different X2 handover measures and algorithms, e.g. A2A4RsrqHandoverAlgorithm and
  * A3RsrpHandoverAlgorithm. Test defines different handover parameters and scenario configurations.
@@ -137,7 +135,7 @@
     std::list<CheckPointEvent> m_checkPointEventList; ///< check point event list
     std::string m_checkPointEventListName;            ///< check point event list name
     bool m_epc;                                       ///< whether to use EPC
-    bool m_useUdp;                                    ///<  whether to use UDP traffic
+    bool m_useUdp;                                    ///< whether to use UDP traffic
     std::string m_schedulerType;                      ///< scheduler type
     std::string m_handoverAlgorithmType;              ///< handover algorithm type
     bool m_admitHo;                                   ///< whether to configure to admit handover
@@ -147,7 +145,6 @@
 
     /**
      * \ingroup lte-test
-     * \ingroup tests
      *
      * \brief BearerData structure
      */
@@ -162,7 +159,6 @@
 
     /**
      * \ingroup lte-test
-     * \ingroup tests
      *
      * \brief UeData structure
      */
@@ -721,7 +717,7 @@
 
         NS_LOG_LOGIC("expBytes " << expectedBytes << " dlRx " << dlRx << " ulRx " << ulRx);
 
-        //                                tolerance
+        // tolerance
         if (it->dlSink)
         {
             NS_TEST_ASSERT_MSG_GT(dlRx,
@@ -740,7 +736,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte X2 Handover Measures Test Suite
  */
@@ -781,8 +776,7 @@
     std::string ho = "ns3::A2A4RsrqHandoverAlgorithm";
     for (useIdealRrc = 1; useIdealRrc >= 0; --useIdealRrc)
     {
-        //                                          nEnbs, nUes, nDBearers, celist, name, useUdp,
-        //                                          sched, ho, admitHo, idealRrc
+        // nEnbs, nUes, nDBearers, celist, name, useUdp, sched, ho, admitHo, idealRrc
         AddTestCase(new LteX2HandoverMeasuresTestCase(2,
                                                       1,
                                                       0,
@@ -887,8 +881,7 @@
     sched = "ns3::RrFfMacScheduler";
     for (useIdealRrc = 1; useIdealRrc >= 0; --useIdealRrc)
     {
-        //                                          nEnbs, nUes, nDBearers, celist, name, useUdp,
-        //                                          sched, admitHo, idealRrc
+        // nEnbs, nUes, nDBearers, celist, name, useUdp, sched, admitHo, idealRrc
         AddTestCase(new LteX2HandoverMeasuresTestCase(2,
                                                       1,
                                                       0,
@@ -928,8 +921,7 @@
     sched = "ns3::PfFfMacScheduler";
     for (useIdealRrc = 1; useIdealRrc >= 0; --useIdealRrc)
     {
-        //                                          nEnbs, nUes, nDBearers, celist, name, useUdp,
-        //                                          sched, admitHo, idealRrc
+        // nEnbs, nUes, nDBearers, celist, name, useUdp, sched, admitHo, idealRrc
         AddTestCase(new LteX2HandoverMeasuresTestCase(2,
                                                       1,
                                                       0,
@@ -968,8 +960,7 @@
     sched = "ns3::RrFfMacScheduler";
     for (useIdealRrc = 1; useIdealRrc >= 0; --useIdealRrc)
     {
-        //                                          nEnbs, nUes, nDBearers, celist, name, useUdp,
-        //                                          sched, admitHo, idealRrc
+        // nEnbs, nUes, nDBearers, celist, name, useUdp, sched, admitHo, idealRrc
         AddTestCase(new LteX2HandoverMeasuresTestCase(2,
                                                       1,
                                                       0,
@@ -1007,4 +998,8 @@
 
 } // end of LteX2HandoverMeasuresTestSuite ()
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteX2HandoverMeasuresTestSuite g_lteX2HandoverMeasuresTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/helper/mesh-helper.cc ns-3.38/src/mesh/helper/mesh-helper.cc
--- ns-3.37/src/mesh/helper/mesh-helper.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/helper/mesh-helper.cc	2023-03-16 20:54:23.788869100 -0700
@@ -48,7 +48,7 @@
 }
 
 void
-MeshHelper::SetSpreadInterfaceChannels(enum ChannelPolicy policy)
+MeshHelper::SetSpreadInterfaceChannels(ChannelPolicy policy)
 {
     m_spreadChannelPolicy = policy;
 }
@@ -105,7 +105,7 @@
 }
 
 void
-MeshHelper::SetStandard(enum WifiStandard standard)
+MeshHelper::SetStandard(WifiStandard standard)
 {
     m_standard = standard;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/helper/mesh-helper.h ns-3.38/src/mesh/helper/mesh-helper.h
--- ns-3.37/src/mesh/helper/mesh-helper.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/helper/mesh-helper.h	2023-03-16 20:54:23.788869100 -0700
@@ -86,7 +86,7 @@
      * Set standard
      * \param standard the wifi phy standard
      */
-    void SetStandard(enum WifiStandard standard);
+    void SetStandard(WifiStandard standard);
 
     /// \todo SetMeshId
     // void SetMeshId (std::string s);
@@ -182,7 +182,7 @@
     ObjectFactory m_mac;                  ///< the MAC
     ObjectFactory m_stationManager;       ///< the station manager
     ObjectFactory m_ackPolicySelector[4]; ///< ack policy selector for all ACs
-    enum WifiStandard m_standard;         ///< standard
+    WifiStandard m_standard;              ///< standard
 };
 
 /***************************************************************
